/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package ui.components.model;

import domen.Komponenta;
import java.util.List;
import javax.swing.table.AbstractTableModel;
import javax.swing.table.TableModel;

/**
 *
 * @author student1
 */
public class KomponenteTableModel extends AbstractTableModel {

    List<Komponenta> lista;
    String[] naziviKolona = new String[]{"Naziv", "Cena", "Dobavljac"};

    public KomponenteTableModel(List<Komponenta> lista) {
        this.lista = lista;
    }

    @Override
    public int getRowCount() {
        return lista.size();
    }

    @Override
    public int getColumnCount() {
        return naziviKolona.length;
    }

    @Override
    public Object getValueAt(int row, int column) {
        Komponenta komponenta = lista.get(row);
        switch (column) {
            case 0:
                return komponenta.dajNaziv();
            case 1:
                return komponenta.dajCenu();
            case 2:
                return komponenta.dajDobavljaca();
            default:
                return "n/a";
        }

    }

    @Override
    public String getColumnName(int i) {
        return naziviKolona[i]; //To change body of generated methods, choose Tools | Templates.
    }
    

}
